// python wrapper for vtkBoostExtractLargestComponent
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkBoostExtractLargestComponent.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkBoostExtractLargestComponent(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkBoostExtractLargestComponent_ClassNew(); }

#ifndef DECLARED_PyvtkGraphAlgorithm_ClassNew
extern "C" { PyObject *PyvtkGraphAlgorithm_ClassNew(); }
#define DECLARED_PyvtkGraphAlgorithm_ClassNew
#endif

static const char *PyvtkBoostExtractLargestComponent_Doc =
  "vtkBoostExtractLargestComponent - Extract the largest connected\ncomponent of a graph\n\n"
  "Superclass: vtkGraphAlgorithm\n\n"
  "vtkBoostExtractLargestComponent finds the largest connected region of\n"
  "a vtkGraph. For directed graphs, this returns the largest biconnected\n"
  "component. See vtkBoostConnectedComponents for details.\n\n";


static PyObject *
PyvtkBoostExtractLargestComponent_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkBoostExtractLargestComponent::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostExtractLargestComponent::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkBoostExtractLargestComponent *tempr = vtkBoostExtractLargestComponent::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkBoostExtractLargestComponent *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostExtractLargestComponent::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_SetInvertSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetInvertSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetInvertSelection(temp0);
    }
    else
    {
      op->vtkBoostExtractLargestComponent::SetInvertSelection(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostExtractLargestComponent_GetInvertSelection(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetInvertSelection");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostExtractLargestComponent *op = static_cast<vtkBoostExtractLargestComponent *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetInvertSelection() :
      op->vtkBoostExtractLargestComponent::GetInvertSelection());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}

static PyMethodDef PyvtkBoostExtractLargestComponent_Methods[] = {
  {"IsTypeOf", PyvtkBoostExtractLargestComponent_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkBoostExtractLargestComponent_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkBoostExtractLargestComponent_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkBoostExtractLargestComponent\nC++: static vtkBoostExtractLargestComponent *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkBoostExtractLargestComponent_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkBoostExtractLargestComponent\nC++: vtkBoostExtractLargestComponent *NewInstance()\n\n"},
  {"SetInvertSelection", PyvtkBoostExtractLargestComponent_SetInvertSelection, METH_VARARGS,
   "V.SetInvertSelection(bool)\nC++: virtual void SetInvertSelection(bool _arg)\n\nSet the flag to determine if the selection should be inverted.\n"},
  {"GetInvertSelection", PyvtkBoostExtractLargestComponent_GetInvertSelection, METH_VARARGS,
   "V.GetInvertSelection() -> bool\nC++: virtual bool GetInvertSelection()\n\nSet the flag to determine if the selection should be inverted.\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkBoostExtractLargestComponent_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkInfovisBoostGraphAlgorithmsPython.vtkBoostExtractLargestComponent", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkBoostExtractLargestComponent_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkBoostExtractLargestComponent_StaticNew()
{
  return vtkBoostExtractLargestComponent::New();
}

PyObject *PyvtkBoostExtractLargestComponent_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkBoostExtractLargestComponent_Type, PyvtkBoostExtractLargestComponent_Methods,
    "vtkBoostExtractLargestComponent",
 &PyvtkBoostExtractLargestComponent_StaticNew);

  PyTypeObject *pytype = &PyvtkBoostExtractLargestComponent_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkGraphAlgorithm_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkBoostExtractLargestComponent(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkBoostExtractLargestComponent_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkBoostExtractLargestComponent", o) != 0)
  {
    Py_DECREF(o);
  }

}

