// python wrapper for vtkBoostKruskalMinimumSpanningTree
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkBoostKruskalMinimumSpanningTree.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkBoostKruskalMinimumSpanningTree(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkBoostKruskalMinimumSpanningTree_ClassNew(); }

#ifndef DECLARED_PyvtkSelectionAlgorithm_ClassNew
extern "C" { PyObject *PyvtkSelectionAlgorithm_ClassNew(); }
#define DECLARED_PyvtkSelectionAlgorithm_ClassNew
#endif

static const char *PyvtkBoostKruskalMinimumSpanningTree_Doc =
  "vtkBoostKruskalMinimumSpanningTree - Contructs a minimum spanning\n   tree from a graph and the weighting array\n\n"
  "Superclass: vtkSelectionAlgorithm\n\n"
  "This vtk class uses the Boost Kruskal Minimum Spanning Tree generic\n"
  "algorithm to perform a minimum spanning tree creation given a\n"
  "weighting value for each of the edges in the input graph.\n\n"
  "@sa\n"
  "vtkGraph vtkBoostGraphAdapter\n\n";


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkBoostKruskalMinimumSpanningTree::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostKruskalMinimumSpanningTree::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkBoostKruskalMinimumSpanningTree *tempr = vtkBoostKruskalMinimumSpanningTree::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkBoostKruskalMinimumSpanningTree *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostKruskalMinimumSpanningTree::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_SetEdgeWeightArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEdgeWeightArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetEdgeWeightArrayName(temp0);
    }
    else
    {
      op->vtkBoostKruskalMinimumSpanningTree::SetEdgeWeightArrayName(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_SetOutputSelectionType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutputSelectionType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetOutputSelectionType(temp0);
    }
    else
    {
      op->vtkBoostKruskalMinimumSpanningTree::SetOutputSelectionType(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_SetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNegateEdgeWeights");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetNegateEdgeWeights(temp0);
    }
    else
    {
      op->vtkBoostKruskalMinimumSpanningTree::SetNegateEdgeWeights(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_GetNegateEdgeWeights(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNegateEdgeWeights");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetNegateEdgeWeights() :
      op->vtkBoostKruskalMinimumSpanningTree::GetNegateEdgeWeights());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NegateEdgeWeightsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->NegateEdgeWeightsOn();
    }
    else
    {
      op->vtkBoostKruskalMinimumSpanningTree::NegateEdgeWeightsOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NegateEdgeWeightsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostKruskalMinimumSpanningTree *op = static_cast<vtkBoostKruskalMinimumSpanningTree *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->NegateEdgeWeightsOff();
    }
    else
    {
      op->vtkBoostKruskalMinimumSpanningTree::NegateEdgeWeightsOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkBoostKruskalMinimumSpanningTree_Methods[] = {
  {"IsTypeOf", PyvtkBoostKruskalMinimumSpanningTree_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkBoostKruskalMinimumSpanningTree_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkBoostKruskalMinimumSpanningTree_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase)\n    -> vtkBoostKruskalMinimumSpanningTree\nC++: static vtkBoostKruskalMinimumSpanningTree *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkBoostKruskalMinimumSpanningTree_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkBoostKruskalMinimumSpanningTree\nC++: vtkBoostKruskalMinimumSpanningTree *NewInstance()\n\n"},
  {"SetEdgeWeightArrayName", PyvtkBoostKruskalMinimumSpanningTree_SetEdgeWeightArrayName, METH_VARARGS,
   "V.SetEdgeWeightArrayName(string)\nC++: virtual void SetEdgeWeightArrayName(const char *_arg)\n\nSet the name of the edge-weight input array, which must name an\narray that is part of the edge data of the input graph and\ncontains numeric data. If the edge-weight array is not of type\nvtkDoubleArray, the array will be copied into a temporary\nvtkDoubleArray.\n"},
  {"SetOutputSelectionType", PyvtkBoostKruskalMinimumSpanningTree_SetOutputSelectionType, METH_VARARGS,
   "V.SetOutputSelectionType(string)\nC++: virtual void SetOutputSelectionType(const char *_arg)\n\nSet the output selection type. The default is to use the the set\nof minimum spanning tree edges \"MINIMUM_SPANNING_TREE_EDGES\". No\nother options are defined.\n"},
  {"SetNegateEdgeWeights", PyvtkBoostKruskalMinimumSpanningTree_SetNegateEdgeWeights, METH_VARARGS,
   "V.SetNegateEdgeWeights(bool)\nC++: void SetNegateEdgeWeights(bool value)\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {"GetNegateEdgeWeights", PyvtkBoostKruskalMinimumSpanningTree_GetNegateEdgeWeights, METH_VARARGS,
   "V.GetNegateEdgeWeights() -> bool\nC++: virtual bool GetNegateEdgeWeights()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {"NegateEdgeWeightsOn", PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOn, METH_VARARGS,
   "V.NegateEdgeWeightsOn()\nC++: virtual void NegateEdgeWeightsOn()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {"NegateEdgeWeightsOff", PyvtkBoostKruskalMinimumSpanningTree_NegateEdgeWeightsOff, METH_VARARGS,
   "V.NegateEdgeWeightsOff()\nC++: virtual void NegateEdgeWeightsOff()\n\nWhether to negate the edge weights. By negating the edge weights\nthis algorithm will give you the 'maximal' spanning tree (i.e.\nthe algorithm will try to create a spanning tree with the highest\nweighted edges). Defaulted to Off. FIXME: put a real definition\nin...\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkBoostKruskalMinimumSpanningTree_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkInfovisBoostGraphAlgorithmsPython.vtkBoostKruskalMinimumSpanningTree", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkBoostKruskalMinimumSpanningTree_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkBoostKruskalMinimumSpanningTree_StaticNew()
{
  return vtkBoostKruskalMinimumSpanningTree::New();
}

PyObject *PyvtkBoostKruskalMinimumSpanningTree_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkBoostKruskalMinimumSpanningTree_Type, PyvtkBoostKruskalMinimumSpanningTree_Methods,
    "vtkBoostKruskalMinimumSpanningTree",
 &PyvtkBoostKruskalMinimumSpanningTree_StaticNew);

  PyTypeObject *pytype = &PyvtkBoostKruskalMinimumSpanningTree_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkSelectionAlgorithm_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkBoostKruskalMinimumSpanningTree(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkBoostKruskalMinimumSpanningTree_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkBoostKruskalMinimumSpanningTree", o) != 0)
  {
    Py_DECREF(o);
  }

}

