// python wrapper for vtkBoostRandomSparseArraySource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkArrayExtents.h"
#include "vtkBoostRandomSparseArraySource.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkBoostRandomSparseArraySource(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkBoostRandomSparseArraySource_ClassNew(); }

#ifndef DECLARED_PyvtkArrayDataAlgorithm_ClassNew
extern "C" { PyObject *PyvtkArrayDataAlgorithm_ClassNew(); }
#define DECLARED_PyvtkArrayDataAlgorithm_ClassNew
#endif

static const char *PyvtkBoostRandomSparseArraySource_Doc =
  "vtkBoostRandomSparseArraySource - generates a sparse N-way array\ncontaining random values.\n\n"
  "Superclass: vtkArrayDataAlgorithm\n\n"
  "@par Thanks: Developed by Timothy M. Shead (tshead@sandia.gov) at\n"
  "Sandia National Laboratories.\n\n";


static PyObject *
PyvtkBoostRandomSparseArraySource_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkBoostRandomSparseArraySource::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkBoostRandomSparseArraySource::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkBoostRandomSparseArraySource *tempr = vtkBoostRandomSparseArraySource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkBoostRandomSparseArraySource *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkBoostRandomSparseArraySource::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetExtents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetExtents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  vtkArrayExtents *temp0 = nullptr;
  PyObject *pobj0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSpecialObject(temp0, pobj0, "vtkArrayExtents"))
  {
    if (ap.IsBound())
    {
      op->SetExtents(*temp0);
    }
    else
    {
      op->vtkBoostRandomSparseArraySource::SetExtents(*temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  Py_XDECREF(pobj0);

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetExtents(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetExtents");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkArrayExtents tempr = (ap.IsBound() ?
      op->GetExtents() :
      op->vtkBoostRandomSparseArraySource::GetExtents());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildSpecialObject(&tempr, "vtkArrayExtents");
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetElementProbabilitySeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementProbabilitySeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    unsigned int tempr = (ap.IsBound() ?
      op->GetElementProbabilitySeed() :
      op->vtkBoostRandomSparseArraySource::GetElementProbabilitySeed());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetElementProbabilitySeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementProbabilitySeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  unsigned int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetElementProbabilitySeed(temp0);
    }
    else
    {
      op->vtkBoostRandomSparseArraySource::SetElementProbabilitySeed(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetElementProbability(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementProbability");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetElementProbability() :
      op->vtkBoostRandomSparseArraySource::GetElementProbability());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetElementProbability(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementProbability");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetElementProbability(temp0);
    }
    else
    {
      op->vtkBoostRandomSparseArraySource::SetElementProbability(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetElementValueSeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetElementValueSeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    unsigned int tempr = (ap.IsBound() ?
      op->GetElementValueSeed() :
      op->vtkBoostRandomSparseArraySource::GetElementValueSeed());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetElementValueSeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetElementValueSeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  unsigned int temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetElementValueSeed(temp0);
    }
    else
    {
      op->vtkBoostRandomSparseArraySource::SetElementValueSeed(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetMinValue() :
      op->vtkBoostRandomSparseArraySource::GetMinValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetMinValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMinValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetMinValue(temp0);
    }
    else
    {
      op->vtkBoostRandomSparseArraySource::SetMinValue(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_GetMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    double tempr = (ap.IsBound() ?
      op->GetMaxValue() :
      op->vtkBoostRandomSparseArraySource::GetMaxValue());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkBoostRandomSparseArraySource_SetMaxValue(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetMaxValue");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkBoostRandomSparseArraySource *op = static_cast<vtkBoostRandomSparseArraySource *>(vp);

  double temp0;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetMaxValue(temp0);
    }
    else
    {
      op->vtkBoostRandomSparseArraySource::SetMaxValue(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkBoostRandomSparseArraySource_Methods[] = {
  {"IsTypeOf", PyvtkBoostRandomSparseArraySource_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkBoostRandomSparseArraySource_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkBoostRandomSparseArraySource_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkBoostRandomSparseArraySource\nC++: static vtkBoostRandomSparseArraySource *SafeDownCast(\n    vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkBoostRandomSparseArraySource_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkBoostRandomSparseArraySource\nC++: vtkBoostRandomSparseArraySource *NewInstance()\n\n"},
  {"SetExtents", PyvtkBoostRandomSparseArraySource_SetExtents, METH_VARARGS,
   "V.SetExtents(vtkArrayExtents)\nC++: void SetExtents(const vtkArrayExtents &)\n\nSets the extents (dimensionality and size) of the output array\n"},
  {"GetExtents", PyvtkBoostRandomSparseArraySource_GetExtents, METH_VARARGS,
   "V.GetExtents() -> vtkArrayExtents\nC++: vtkArrayExtents GetExtents()\n\nReturns the extents (dimensionality and size) of the output array\n"},
  {"GetElementProbabilitySeed", PyvtkBoostRandomSparseArraySource_GetElementProbabilitySeed, METH_VARARGS,
   "V.GetElementProbabilitySeed() -> int\nC++: virtual vtkTypeUInt32 GetElementProbabilitySeed()\n\nStores a random-number-seed for determining which elements within\nthe output matrix will have non-zero values\n"},
  {"SetElementProbabilitySeed", PyvtkBoostRandomSparseArraySource_SetElementProbabilitySeed, METH_VARARGS,
   "V.SetElementProbabilitySeed(int)\nC++: virtual void SetElementProbabilitySeed(vtkTypeUInt32 _arg)\n\nStores a random-number-seed for determining which elements within\nthe output matrix will have non-zero values\n"},
  {"GetElementProbability", PyvtkBoostRandomSparseArraySource_GetElementProbability, METH_VARARGS,
   "V.GetElementProbability() -> float\nC++: virtual double GetElementProbability()\n\nStores the probability (in the range [0, 1]) that an element\nwithin the output matrix will have a non-zero value\n"},
  {"SetElementProbability", PyvtkBoostRandomSparseArraySource_SetElementProbability, METH_VARARGS,
   "V.SetElementProbability(float)\nC++: virtual void SetElementProbability(double _arg)\n\nStores the probability (in the range [0, 1]) that an element\nwithin the output matrix will have a non-zero value\n"},
  {"GetElementValueSeed", PyvtkBoostRandomSparseArraySource_GetElementValueSeed, METH_VARARGS,
   "V.GetElementValueSeed() -> int\nC++: virtual vtkTypeUInt32 GetElementValueSeed()\n\nStores a random-number-seed for computing random element values\n"},
  {"SetElementValueSeed", PyvtkBoostRandomSparseArraySource_SetElementValueSeed, METH_VARARGS,
   "V.SetElementValueSeed(int)\nC++: virtual void SetElementValueSeed(vtkTypeUInt32 _arg)\n\nStores a random-number-seed for computing random element values\n"},
  {"GetMinValue", PyvtkBoostRandomSparseArraySource_GetMinValue, METH_VARARGS,
   "V.GetMinValue() -> float\nC++: virtual double GetMinValue()\n\nStores the minimum value of any element\n"},
  {"SetMinValue", PyvtkBoostRandomSparseArraySource_SetMinValue, METH_VARARGS,
   "V.SetMinValue(float)\nC++: virtual void SetMinValue(double _arg)\n\nStores the minimum value of any element\n"},
  {"GetMaxValue", PyvtkBoostRandomSparseArraySource_GetMaxValue, METH_VARARGS,
   "V.GetMaxValue() -> float\nC++: virtual double GetMaxValue()\n\nStores the maximum value of any element\n"},
  {"SetMaxValue", PyvtkBoostRandomSparseArraySource_SetMaxValue, METH_VARARGS,
   "V.SetMaxValue(float)\nC++: virtual void SetMaxValue(double _arg)\n\nStores the maximum value of any element\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkBoostRandomSparseArraySource_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkInfovisBoostGraphAlgorithmsPython.vtkBoostRandomSparseArraySource", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkBoostRandomSparseArraySource_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkBoostRandomSparseArraySource_StaticNew()
{
  return vtkBoostRandomSparseArraySource::New();
}

PyObject *PyvtkBoostRandomSparseArraySource_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkBoostRandomSparseArraySource_Type, PyvtkBoostRandomSparseArraySource_Methods,
    "vtkBoostRandomSparseArraySource",
 &PyvtkBoostRandomSparseArraySource_StaticNew);

  PyTypeObject *pytype = &PyvtkBoostRandomSparseArraySource_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkArrayDataAlgorithm_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkBoostRandomSparseArraySource(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkBoostRandomSparseArraySource_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkBoostRandomSparseArraySource", o) != 0)
  {
    Py_DECREF(o);
  }

}

