// python wrapper for vtkGeoJSONReader
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include "vtkConfigure.h"
#include <cstddef>
#include <sstream>
#include "vtkVariant.h"
#include "vtkIndent.h"
#include "vtkGeoJSONReader.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkGeoJSONReader(PyObject *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyvtkGeoJSONReader_ClassNew(); }

#ifndef DECLARED_PyvtkPolyDataAlgorithm_ClassNew
extern "C" { PyObject *PyvtkPolyDataAlgorithm_ClassNew(); }
#define DECLARED_PyvtkPolyDataAlgorithm_ClassNew
#endif

static const char *PyvtkGeoJSONReader_Doc =
  "vtkGeoJSONReader - Convert Geo JSON format to vtkPolyData\n\n"
  "Superclass: vtkPolyDataAlgorithm\n\n"
  "Outputs a vtkPolyData from the input Geo JSON Data\n"
  "(http://www.geojson.org)\n\n";


static PyObject *
PyvtkGeoJSONReader_IsTypeOf(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "IsTypeOf");

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = vtkGeoJSONReader::IsTypeOf(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkGeoJSONReader::IsA(temp0));

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObjectBase *temp0 = nullptr;
  PyObject *result = nullptr;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObjectBase"))
  {
    vtkGeoJSONReader *tempr = vtkGeoJSONReader::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    vtkGeoJSONReader *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkGeoJSONReader::NewInstance());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
      {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
      }
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_SetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetFileName(temp0);
    }
    else
    {
      op->vtkGeoJSONReader::SetFileName(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_GetFileName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFileName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetFileName() :
      op->vtkGeoJSONReader::GetFileName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_SetStringInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStringInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetStringInput(temp0);
    }
    else
    {
      op->vtkGeoJSONReader::SetStringInput(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_GetStringInput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStringInput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetStringInput() :
      op->vtkGeoJSONReader::GetStringInput());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_SetStringInputMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStringInputMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetStringInputMode(temp0);
    }
    else
    {
      op->vtkGeoJSONReader::SetStringInputMode(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_GetStringInputMode(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetStringInputMode");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetStringInputMode() :
      op->vtkGeoJSONReader::GetStringInputMode());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_StringInputModeOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StringInputModeOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->StringInputModeOn();
    }
    else
    {
      op->vtkGeoJSONReader::StringInputModeOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_StringInputModeOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "StringInputModeOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->StringInputModeOff();
    }
    else
    {
      op->vtkGeoJSONReader::StringInputModeOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_SetTriangulatePolygons(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetTriangulatePolygons");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetTriangulatePolygons(temp0);
    }
    else
    {
      op->vtkGeoJSONReader::SetTriangulatePolygons(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_GetTriangulatePolygons(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetTriangulatePolygons");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetTriangulatePolygons() :
      op->vtkGeoJSONReader::GetTriangulatePolygons());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_TriangulatePolygonsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "TriangulatePolygonsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->TriangulatePolygonsOn();
    }
    else
    {
      op->vtkGeoJSONReader::TriangulatePolygonsOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_TriangulatePolygonsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "TriangulatePolygonsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->TriangulatePolygonsOff();
    }
    else
    {
      op->vtkGeoJSONReader::TriangulatePolygonsOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_SetOutlinePolygons(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetOutlinePolygons");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  bool temp0 = false;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetOutlinePolygons(temp0);
    }
    else
    {
      op->vtkGeoJSONReader::SetOutlinePolygons(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_GetOutlinePolygons(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetOutlinePolygons");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    bool tempr = (ap.IsBound() ?
      op->GetOutlinePolygons() :
      op->vtkGeoJSONReader::GetOutlinePolygons());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_OutlinePolygonsOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OutlinePolygonsOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->OutlinePolygonsOn();
    }
    else
    {
      op->vtkGeoJSONReader::OutlinePolygonsOn();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_OutlinePolygonsOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "OutlinePolygonsOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    if (ap.IsBound())
    {
      op->OutlinePolygonsOff();
    }
    else
    {
      op->vtkGeoJSONReader::OutlinePolygonsOff();
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_SetSerializedPropertiesArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSerializedPropertiesArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  char *temp0 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
  {
    if (ap.IsBound())
    {
      op->SetSerializedPropertiesArrayName(temp0);
    }
    else
    {
      op->vtkGeoJSONReader::SetSerializedPropertiesArrayName(temp0);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_GetSerializedPropertiesArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSerializedPropertiesArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(0))
  {
    char *tempr = (ap.IsBound() ?
      op->GetSerializedPropertiesArrayName() :
      op->vtkGeoJSONReader::GetSerializedPropertiesArrayName());

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildValue(tempr);
    }
  }

  return result;
}


static PyObject *
PyvtkGeoJSONReader_AddFeatureProperty(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "AddFeatureProperty");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkGeoJSONReader *op = static_cast<vtkGeoJSONReader *>(vp);

  char *temp0 = nullptr;
  vtkVariant *temp1 = nullptr;
  PyObject *result = nullptr;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetSpecialObject(temp1, "vtkVariant"))
  {
    if (ap.IsBound())
    {
      op->AddFeatureProperty(temp0, *temp1);
    }
    else
    {
      op->vtkGeoJSONReader::AddFeatureProperty(temp0, *temp1);
    }

    if (!ap.ErrorOccurred())
    {
      result = ap.BuildNone();
    }
  }

  return result;
}

static PyMethodDef PyvtkGeoJSONReader_Methods[] = {
  {"IsTypeOf", PyvtkGeoJSONReader_IsTypeOf, METH_VARARGS,
   "V.IsTypeOf(string) -> int\nC++: static vtkTypeBool IsTypeOf(const char *type)\n\nReturn 1 if this class type is the same type of (or a subclass\nof) the named class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"IsA", PyvtkGeoJSONReader_IsA, METH_VARARGS,
   "V.IsA(string) -> int\nC++: vtkTypeBool IsA(const char *type) override;\n\nReturn 1 if this class is the same type of (or a subclass of) the\nnamed class. Returns 0 otherwise. This method works in\ncombination with vtkTypeMacro found in vtkSetGet.h.\n"},
  {"SafeDownCast", PyvtkGeoJSONReader_SafeDownCast, METH_VARARGS,
   "V.SafeDownCast(vtkObjectBase) -> vtkGeoJSONReader\nC++: static vtkGeoJSONReader *SafeDownCast(vtkObjectBase *o)\n\n"},
  {"NewInstance", PyvtkGeoJSONReader_NewInstance, METH_VARARGS,
   "V.NewInstance() -> vtkGeoJSONReader\nC++: vtkGeoJSONReader *NewInstance()\n\n"},
  {"SetFileName", PyvtkGeoJSONReader_SetFileName, METH_VARARGS,
   "V.SetFileName(string)\nC++: virtual void SetFileName(const char *_arg)\n\nAccessor for name of the file that will be opened on WriteData\n"},
  {"GetFileName", PyvtkGeoJSONReader_GetFileName, METH_VARARGS,
   "V.GetFileName() -> string\nC++: virtual char *GetFileName()\n\nAccessor for name of the file that will be opened on WriteData\n"},
  {"SetStringInput", PyvtkGeoJSONReader_SetStringInput, METH_VARARGS,
   "V.SetStringInput(string)\nC++: virtual void SetStringInput(const char *_arg)\n\nString used as data input (instead of file) when StringInputMode\nis enabled\n"},
  {"GetStringInput", PyvtkGeoJSONReader_GetStringInput, METH_VARARGS,
   "V.GetStringInput() -> string\nC++: virtual char *GetStringInput()\n\nString used as data input (instead of file) when StringInputMode\nis enabled\n"},
  {"SetStringInputMode", PyvtkGeoJSONReader_SetStringInputMode, METH_VARARGS,
   "V.SetStringInputMode(bool)\nC++: virtual void SetStringInputMode(bool _arg)\n\nSet/get whether to use StringInput instead of reading input from\nfile The default is off\n"},
  {"GetStringInputMode", PyvtkGeoJSONReader_GetStringInputMode, METH_VARARGS,
   "V.GetStringInputMode() -> bool\nC++: virtual bool GetStringInputMode()\n\nSet/get whether to use StringInput instead of reading input from\nfile The default is off\n"},
  {"StringInputModeOn", PyvtkGeoJSONReader_StringInputModeOn, METH_VARARGS,
   "V.StringInputModeOn()\nC++: virtual void StringInputModeOn()\n\nSet/get whether to use StringInput instead of reading input from\nfile The default is off\n"},
  {"StringInputModeOff", PyvtkGeoJSONReader_StringInputModeOff, METH_VARARGS,
   "V.StringInputModeOff()\nC++: virtual void StringInputModeOff()\n\nSet/get whether to use StringInput instead of reading input from\nfile The default is off\n"},
  {"SetTriangulatePolygons", PyvtkGeoJSONReader_SetTriangulatePolygons, METH_VARARGS,
   "V.SetTriangulatePolygons(bool)\nC++: virtual void SetTriangulatePolygons(bool _arg)\n\nSet/get whether to convert all output polygons to triangles. Note\nthat if OutinePolygons mode is on, then no output polygons are\ngenerated, and in that case, this option is not relevant. The\ndefault is off.\n"},
  {"GetTriangulatePolygons", PyvtkGeoJSONReader_GetTriangulatePolygons, METH_VARARGS,
   "V.GetTriangulatePolygons() -> bool\nC++: virtual bool GetTriangulatePolygons()\n\nSet/get whether to convert all output polygons to triangles. Note\nthat if OutinePolygons mode is on, then no output polygons are\ngenerated, and in that case, this option is not relevant. The\ndefault is off.\n"},
  {"TriangulatePolygonsOn", PyvtkGeoJSONReader_TriangulatePolygonsOn, METH_VARARGS,
   "V.TriangulatePolygonsOn()\nC++: virtual void TriangulatePolygonsOn()\n\nSet/get whether to convert all output polygons to triangles. Note\nthat if OutinePolygons mode is on, then no output polygons are\ngenerated, and in that case, this option is not relevant. The\ndefault is off.\n"},
  {"TriangulatePolygonsOff", PyvtkGeoJSONReader_TriangulatePolygonsOff, METH_VARARGS,
   "V.TriangulatePolygonsOff()\nC++: virtual void TriangulatePolygonsOff()\n\nSet/get whether to convert all output polygons to triangles. Note\nthat if OutinePolygons mode is on, then no output polygons are\ngenerated, and in that case, this option is not relevant. The\ndefault is off.\n"},
  {"SetOutlinePolygons", PyvtkGeoJSONReader_SetOutlinePolygons, METH_VARARGS,
   "V.SetOutlinePolygons(bool)\nC++: virtual void SetOutlinePolygons(bool _arg)\n\nSet/get option to generate the border outlining each polygon, so\nthat the output cells for polygons are vtkPolyLine instances. The\ndefault is off.\n"},
  {"GetOutlinePolygons", PyvtkGeoJSONReader_GetOutlinePolygons, METH_VARARGS,
   "V.GetOutlinePolygons() -> bool\nC++: virtual bool GetOutlinePolygons()\n\nSet/get option to generate the border outlining each polygon, so\nthat the output cells for polygons are vtkPolyLine instances. The\ndefault is off.\n"},
  {"OutlinePolygonsOn", PyvtkGeoJSONReader_OutlinePolygonsOn, METH_VARARGS,
   "V.OutlinePolygonsOn()\nC++: virtual void OutlinePolygonsOn()\n\nSet/get option to generate the border outlining each polygon, so\nthat the output cells for polygons are vtkPolyLine instances. The\ndefault is off.\n"},
  {"OutlinePolygonsOff", PyvtkGeoJSONReader_OutlinePolygonsOff, METH_VARARGS,
   "V.OutlinePolygonsOff()\nC++: virtual void OutlinePolygonsOff()\n\nSet/get option to generate the border outlining each polygon, so\nthat the output cells for polygons are vtkPolyLine instances. The\ndefault is off.\n"},
  {"SetSerializedPropertiesArrayName", PyvtkGeoJSONReader_SetSerializedPropertiesArrayName, METH_VARARGS,
   "V.SetSerializedPropertiesArrayName(string)\nC++: virtual void SetSerializedPropertiesArrayName(\n    const char *_arg)\n\nSet/get name of data array for serialized GeoJSON \"properties\"\nnode. If specified, data will be stored as\nvtkCellData/vtkStringArray.\n"},
  {"GetSerializedPropertiesArrayName", PyvtkGeoJSONReader_GetSerializedPropertiesArrayName, METH_VARARGS,
   "V.GetSerializedPropertiesArrayName() -> string\nC++: virtual char *GetSerializedPropertiesArrayName()\n\nSet/get name of data array for serialized GeoJSON \"properties\"\nnode. If specified, data will be stored as\nvtkCellData/vtkStringArray.\n"},
  {"AddFeatureProperty", PyvtkGeoJSONReader_AddFeatureProperty, METH_VARARGS,
   "V.AddFeatureProperty(string, vtkVariant)\nC++: void AddFeatureProperty(const char *name,\n    vtkVariant &typeAndDefaultValue)\n\nSpecify feature property to read in with geometry objects Note\nthat defaultValue specifies both type & value\n"},
  {nullptr, nullptr, 0, nullptr}
};

static PyTypeObject PyvtkGeoJSONReader_Type = {
  PyVarObject_HEAD_INIT(&PyType_Type, 0)
  "vtkIOGeoJSONPython.vtkGeoJSONReader", // tp_name
  sizeof(PyVTKObject), // tp_basicsize
  0, // tp_itemsize
  PyVTKObject_Delete, // tp_dealloc
  nullptr, // tp_print
  nullptr, // tp_getattr
  nullptr, // tp_setattr
  nullptr, // tp_compare
  PyVTKObject_Repr, // tp_repr
  nullptr, // tp_as_number
  nullptr, // tp_as_sequence
  nullptr, // tp_as_mapping
  nullptr, // tp_hash
  nullptr, // tp_call
  PyVTKObject_String, // tp_str
  PyObject_GenericGetAttr, // tp_getattro
  PyObject_GenericSetAttr, // tp_setattro
  &PyVTKObject_AsBuffer, // tp_as_buffer
  Py_TPFLAGS_DEFAULT|Py_TPFLAGS_HAVE_GC|Py_TPFLAGS_BASETYPE, // tp_flags
  PyvtkGeoJSONReader_Doc, // tp_doc
  PyVTKObject_Traverse, // tp_traverse
  nullptr, // tp_clear
  nullptr, // tp_richcompare
  offsetof(PyVTKObject, vtk_weakreflist), // tp_weaklistoffset
  nullptr, // tp_iter
  nullptr, // tp_iternext
  nullptr, // tp_methods
  nullptr, // tp_members
  PyVTKObject_GetSet, // tp_getset
  nullptr, // tp_base
  nullptr, // tp_dict
  nullptr, // tp_descr_get
  nullptr, // tp_descr_set
  offsetof(PyVTKObject, vtk_dict), // tp_dictoffset
  nullptr, // tp_init
  nullptr, // tp_alloc
  PyVTKObject_New, // tp_new
  PyObject_GC_Del, // tp_free
  nullptr, // tp_is_gc
  nullptr, // tp_bases
  nullptr, // tp_mro
  nullptr, // tp_cache
  nullptr, // tp_subclasses
  nullptr, // tp_weaklist
  VTK_WRAP_PYTHON_SUPPRESS_UNINITIALIZED
};

static vtkObjectBase *PyvtkGeoJSONReader_StaticNew()
{
  return vtkGeoJSONReader::New();
}

PyObject *PyvtkGeoJSONReader_ClassNew()
{
  PyVTKClass_Add(
    &PyvtkGeoJSONReader_Type, PyvtkGeoJSONReader_Methods,
    "vtkGeoJSONReader",
 &PyvtkGeoJSONReader_StaticNew);

  PyTypeObject *pytype = &PyvtkGeoJSONReader_Type;

  if ((pytype->tp_flags & Py_TPFLAGS_READY) != 0)
  {
    return (PyObject *)pytype;
  }

#if !defined(VTK_PY3K) && PY_VERSION_HEX >= 0x02060000
  pytype->tp_flags |= Py_TPFLAGS_HAVE_NEWBUFFER;
#endif

  pytype->tp_base = (PyTypeObject *)PyvtkPolyDataAlgorithm_ClassNew();

  PyType_Ready(pytype);
  return (PyObject *)pytype;
}

void PyVTKAddFile_vtkGeoJSONReader(
  PyObject *dict)
{
  PyObject *o;
  o = PyvtkGeoJSONReader_ClassNew();

  if (o && PyDict_SetItemString(dict, "vtkGeoJSONReader", o) != 0)
  {
    Py_DECREF(o);
  }

}

